# Uses of Interface
org.eclipse.core.runtime.preferences.IExportedPreferences

Packages that use IExportedPreferences
Package
Description
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.

## Uses of IExportedPreferences in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences that return IExportedPreferences
Modifier and Type
Method
Description
`IExportedPreferences`
IPreferencesService.`readPreferences(InputStream input)`
Read from the given input stream and create a node hierarchy representing the preferences and their values.
Methods in org.eclipse.core.runtime.preferences with parameters of type IExportedPreferences
Modifier and Type
Method
Description
`IStatus`
IPreferencesService.`applyPreferences(IExportedPreferences preferences)`
Take the given preference tree and apply it to the Eclipse global preference hierarchy.